

Module modConnection
    Public cookie As Long
    Public soapServer As ttsoapcgi

    Class TTPRO

        Public Sub New()
            soapServer = New ttsoapcgi
        End Sub

        Public Sub Connect(ByVal database As String, ByVal username As String, ByVal password As String)
            Try
                Dim frmMain As New frmMain
                Dim frmLogin As New frmLogin

                cookie = soapServer.DatabaseLogon(database, username, password)

                frmMain.Show()
                frmMain.StatusBar1.Text = "Logged in as: " & username & "    Database: " & database
                frmMain.txtCookie.Text = cookie

            Catch e As System.Exception
                MsgBox("Connect:" & e.Message, MsgBoxStyle.Critical)
            End Try
        End Sub

        Public Sub Disconnect()
            If Not cookie = 0 Then
                Try
                    soapServer.DatabaseLogoff(cookie)
                Catch e As System.Exception
                    MsgBox("Disconnect:" & e.Message, MsgBoxStyle.Critical)
                End Try
            End If
        End Sub

        Public Function GetDBList()
            Try
                Dim frmLogin As New frmLogin
                Dim databaseList() As CDatabase

                databaseList = soapServer.getDatabaseList()

                Dim db As CDatabase

                For Each db In databaseList

                    frmLogin.cboDatabases.Items.Add(db.name)

                Next db

            Catch ex As Exception
                MsgBox("GetDBList:" & ex.Message, MsgBoxStyle.Critical)

            End Try
        End Function

    End Class

End Module
